<?php
namespace zin;

query('formGridPanel')->each(function($node)
{
    $lang   = data('lang');
    $fields = $node->prop('fields');

    $fields->field('feedback')
        ->label($lang->product->FM)
        ->control('picker')
        ->items(data('fields.RD.options'))
        ->value(data('fields.RD.default'))
        ->foldable();

    $fields->field('ticket')
        ->label($lang->product->TM)
        ->control('picker')
        ->items(data('fields.RD.options'))
        ->value(data('fields.RD.default'))
        ->foldable();

    $fields->moveAfter('feedback,ticket', 'RD');
    $fields->fullModeOrders('RD,feedback,ticket,desc');

    $node->setProp('fields', $fields);
});
